org.keycloak.models

## Enum AbstractKeycloakTransaction.TransactionState

- java.lang.Object
- - java.lang.Enum<AbstractKeycloakTransaction.TransactionState>
  - - org.keycloak.models.AbstractKeycloakTransaction.TransactionState

- All Implemented Interfaces:
    Serializable, Comparable<AbstractKeycloakTransaction.TransactionState>
  Enclosing class:
    AbstractKeycloakTransaction

      public static enum AbstractKeycloakTransaction.TransactionState
      extends Enum<AbstractKeycloakTransaction.TransactionState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FINISHED`
    `NOT_STARTED`
    `ROLLBACK_ONLY`
    `STARTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractKeycloakTransaction.TransactionState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractKeycloakTransaction.TransactionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_STARTED

          public static final AbstractKeycloakTransaction.TransactionState NOT_STARTED

    - #### STARTED

          public static final AbstractKeycloakTransaction.TransactionState STARTED

    - #### ROLLBACK_ONLY

          public static final AbstractKeycloakTransaction.TransactionState ROLLBACK_ONLY

    - #### FINISHED

          public static final AbstractKeycloakTransaction.TransactionState FINISHED

  - ### Method Detail

    - #### values

          public static AbstractKeycloakTransaction.TransactionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractKeycloakTransaction.TransactionState c : AbstractKeycloakTransaction.TransactionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractKeycloakTransaction.TransactionState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.